package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.SupportRepository;
import com.realnet.angulardatatype.Entity.Support
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class SupportService {
@Autowired
private SupportRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Support Savedata(Support data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Support save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Support> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Support> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Support> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Support getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Support update(Support data,Integer id) {
	Support old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

final Support test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
